Skip to main content

List Templates

Retrieve a list of all design templates in your workspace. Templates store reusable QR code designs (frame, colors, dots, corners, logo) that you can apply when creating or updating QR codes.

GET/templates

Headers

HeaderRequiredDescription
X-API-KeyRequiredYour API key
QR-VersionOptionalAPI version (e.g., 2026-02-16)

Query Parameters

ParameterTypeDefaultDescription
searchstringFilter templates by name (optional)

Request

curl -X GET "https://integration-api.qr-build.com/templates" \
-H "X-API-Key: qrb_live_your_api_key_here"

Response

{
"object": "list",
"success": true,
"data": [
{
"id": "tpl-aBc123XyZ9",
"name": "Brand Style",
"design": {
"builderData": { "dotsOptions": { "color": "#212B36" } },
"frameData": { "type": "simple-text", "text": "Scan me!" }
},
"created_at": "2026-02-16T10:30:00Z",
"updated_at": "2026-02-16T10:30:00Z"
}
]
}

Response Fields

FieldTypeDescription
idstringUnique template identifier
namestringTemplate name
designobjectQR design (builderData, frameData) — use as design when creating/updating QR codes
created_atstringISO 8601 creation timestamp
updated_atstringISO 8601 last update timestamp